Bug 5791 - citation assistant: tracking issue for future citation editor improvement ideas
citation assistant: tracking issue for future citation editor improvement ideas
Status: NEW
Product: OJS
Classification: Unclassified
Component: Copyeditors and Proofreaders
3.1
PC Linux
: P3 normal
Assigned To: Alex Garnett
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 18:42 PDT by jerico
Modified: 2013-05-29 16:08 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jerico 2010-08-22 18:42:37 PDT
The following is a list of ideas that were deferred and will not be part of the initial citation editor release.

Import:
- on import of citations: implement a diff algorithm that only deletes references if they're absent from the new raw list or if they've changed.

Parse/Lookup handling:
- some bug in ParaCite related to character encoding (see quotations). (@Florian: I still see this after your fixes)
- a chapter in book that is found in worldcat is being replaced with only the book info
e.g. Hall, Stuart. “Cultural Identity and Diaspora.” In Theorizing Diaspora: A Reader. Ed. Jana Evans Braziel and Anita Mannur. Bodim, UK: Blackwell P, 2003. 233-46.
- when pulling in data from crossref, looks like & is being escaped. 
- does parsCit detect the Eds. in a citation? seems to have parsed the following correctly, but the eds does not appear in results:
e.g. Federici, S., Caffentzis, G., & Alidou, O. (Eds.). (2000). A thousand flowers: Social struggles against structural adjustment in African universities. Trenton, NJ: African World Press. We should make a RegEx for this.  its a simple and standard Web citation 
e.g. ICT4D Collective. (2009). Information and Communication Technologies for Development. Available: http://www.ict4d.org.uk/
- Something went wrong with crossref result (shows up as source but is blank except for publication type):
e.g. OECD. (2007). Science, technology, and industry scoreboard, 2007. Paris: Organisation for Economic Co-operation and Development.
- I think something is wrong with the RegExs.  I am only ever getting the URL's parsed.  they should work for some journals no?
- Check how ParaCite is treating & in author names.  I think there is another encoding problem.
- problem with "Available at" in raw citation (removing gives better results) 

Responsiveness:
- implement pre-emptive loading

Interface:
- provide auto-complete for all fields, using all sources whenever a structured source is not pre-set (write a special handler that draws results together dynamically from sources)
- would like the option to revert to the original citation, in case i've played around with it for too long (just reload by emulating a click on the current list entry)
- Replace approval marker with a green check sign.
- implement context menu within Google Scholar and author's version of the citation to add fields via context menu.
- Implement ordering feature in citation list (arrows up / down to move citations).
- Show approved citation in list. Show in list whether we show the original or the approved version. Insert text in mouseover "approve to see generated version". Insert "[Currently Editing]" into mouseover for current-item. Requires better citation output style support (e.g. via CSL?)
- Move the editing symbol for raw citations besides the label (Original Citation Text).
Comment 1 jerico 2010-10-29 08:32:33 PDT
Further todos identified while implementing #5157:
- when we have multiple form errors in the citation editor then only one of them is displayed
- write test for XSLTransformationFilter, GenericMultiplexerFilter, GenericSequencerFilter
- add PHP XSL-extension to runtime requirements for NLM filters
- add perl command and modules  to runtime requirements for Paracite filter (requires a way to identify perl modules, probably by executing a system command which would be a new runtime requirement type setting)
- make sure that runtime requirement problems result in useful error messages displayed to the end user (test this in citation editor)
Comment 2 jerico 2010-11-02 19:13:31 PDT
* Implement a progress bar while citations are being processed in the background.
* Implement <collab> element.
* only strip "." from the article title and leave all other punctuation, e.g. "!", "?", etc.
Comment 3 jerico 2010-11-03 07:54:56 PDT
Reimplement ParsCit with new web service, see http://wing.comp.nus.edu.sg/parsCit/wing.nus.wsdl, this also provides a document parsing service which we could use for meta-data extraction when we start working on transforming documents to XML.
Comment 4 jerico 2010-11-05 04:25:32 PDT
Tarek:
>here is an order
> list with starred items that I think should be present for ALL journal
> articles, though you can allow them to be blank or "deletable". At least
> having them there is a prompt. These orders are basically inline with
> the nlm-citation spec. Starred are the "mandatory fields"
> 
> [for journal article]:
> *Authors
> *Article-title
> *Source
> *Year
> *volume
> issue
> *fpage
> *lpage
> access-date
> uri
Comment 5 jerico 2010-11-05 05:03:41 PDT
Vocabulary-based autofill fields should show the first 10 entries when the field comes into scope (entering it or clicking on it).
Comment 6 jerico 2010-11-05 05:06:58 PDT
Feedback on save should be shown near the save button so that the feedback is visible even if the top of the editor is not (=scrolled away). We could also implement an additional "dirty" pattern so that the Save button only appears when changes have been made. This would also enable us to issue a warning when cancel is clicked or the user navigates away from a citation without saving those changes.
Comment 7 jerico 2010-11-05 05:10:57 PDT
Export should be possible even when not all citations have been approved. A warning should show at the top of the export screen that not all citations are displayed rather than blocking export altogether with partial approval.
Comment 8 James MacGregor 2013-05-29 16:08:36 PDT
Hey Alex, thoughts on this for 3.1?